
package com.textura.cpms.service.hello.impl;

import com.textura.cpms.service.hello.HelloService;
import com.textura.cpms.service.hello.impl.HelloServiceProvider;

import org.osgi.framework.BundleActivator;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceRegistration;

public class HelloServiceActivator implements BundleActivator {
	
	private HelloService helloServiceProvider;

	@Override
	public void start(BundleContext context) throws Exception {
		System.out.println(" HelloServiceActivator starting");
		
		helloServiceProvider = new HelloServiceProvider();
		ServiceRegistration helloServiceRegistration = context.registerService(HelloService.class.getName(), helloServiceProvider, null);

		System.out.println("HelloService registered: " + helloServiceProvider);
	}

	@Override
	public void stop(BundleContext context) throws Exception {
		System.out.println(" HelloServiceActivator stopping");
	}
}
